import request from '@/utils/request'

// 获取持仓列表
export function getPositionList(data) {
  return request({
    url: '/getPositionList',
    method: 'post',
    data
  })
}

// 获取挂单列表
export function getEntrustList(data) {
  return request({
    url: '/getEntrustList',
    method: 'post',
    data
  })
}

// 获取平仓列表
export function getCloseOrderList(data) {
  return request({
    url: '/getCloseOrderList',
    method: 'post',
    data
  })
}
// 修改挂单
export function updateEntrust(data) {
  return request({
    url: '/updateEntrust',
    trade: 1,
    method: 'post',
    data
  })
}
// 删除挂单
export function deleteEntrust(data) {
  return request({
    url: '/deleteEntrust',
    trade: 1,
    method: 'post',
    data
  })
}
// 修改持仓
export function updatePosition(data) {
  return request({
    url: '/updatePosition',
    trade: 1,
    method: 'post',
    data
  })
}

// 平仓
export function closePosition(data) {
  return request({
    url: '/closePosition',
    trade: 1,
    method: 'post',
    data
  })
}
// 市价挂单
export function openPosition(data) {
  return request({
    url: '/openPosition',
    method: 'post',
    trade: 1,
    data
  })
}
// 限价挂单
export function openEntrust(data) {
  return request({
    url: '/openEntrust',
    method: 'post',
    trade: 1,
    data
  })
}

// 交易账号的资金记录
export function getTransactionBalanceList(data) {
  return request({
    url: '/getTransactionBalanceList',
    method: 'post',
    trade: 1,
    data
  })
}

// 获取用户实时资金
export function getUserBalance(data) {
  return request({
    url: '/getUserBalance',
    method: 'post',
    data
  })
}

// 获取产品的交易时间
export function getProductTimeList(data) {
  return request({
    url: '/Public/getTradesActionList',
    method: 'post',
    data
  })
}

// 获取产品的交易时间
export function getProductTime(data) {
  return request({
    url: '/Public/getProductTime',
    method: 'post',
    data
  })
}